# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name MissingH

%global common_summary Large utility library

%global common_description MissingH is a library of all sorts of utility functions for \
Haskell programmers. It is written in pure Haskell and thus \
should be extremely portable and easy to use.

Name:           ghc-%{pkg_name}
Version:        1.1.1.0
Release:        5%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
# src/Data/Hash/MD5.lhs is BSD or GPL+
# src/Data/Hash/CRC32/Posix.hs is GPL+
# src/System/Time/ParseDate.hs is GPLv2 (newer parsedate is now BSD)
# all other src/ (and testsrc/) files are BSD
License:        GPLv2+
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-haskell98-devel
BuildRequires:  ghc-hslogger-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-regex-compat-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE 3rd-party-licenses
%doc announcements TODO


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 1.1.1.0-4
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 1.1.1.0-3
- rebuild

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 1.1.1.0-2
- update to cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.1.0-1.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.1.0-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.1.1.0-1.1
- rebuild with new gmp

* Mon Sep 26 2011 Jens Petersen <petersen@redhat.com> - 1.1.1.0-1
- update to 1.1.1.0
- most of the library modules now BSD

* Mon Aug 29 2011 Jens Petersen <petersen@redhat.com> - 1.1.0.3-9
- rebuild for hslogger-1.1.5

* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 1.1.0.3-8
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.1.0.3-7
- Enable build on sparcv9

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 1.1.0.3-6
- Update for broken dependencies

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Jens Petersen <petersen@redhat.com> - 1.1.0.3-4
- rebuild (for hslogger-1.1.3)

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 1.1.0.3-3
- Update to cabal2spec-0.22.4
- Rebuild

* Wed Sep 22 2010 Jens Petersen <petersen@redhat.com> - 1.1.0.3-2
- use iconv to fix COPYRIGHT file encoding
- add license comments

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 1.1.0.3-1
- Initial package

* Sun Sep  5 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.1.0.3-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
